# Class FactoryException

Object
Throwable
Exception
FactoryException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FactoryDataException, InvalidGeodeticParameterException, MissingFactoryResourceException, NoSuchIdentifierException, OperationNotFoundException`

public class FactoryException extends Exception
Thrown when a factory cannot create an instance of the requested object.

If the failure is caused by an illegal authority code, then the actual exception should be `NoSuchAuthorityCodeException`. Otherwise, if the failure is caused by some error in the underlying database (e.g. `IOException` or `SQLException`), then the cause shall be specified to the constructor.

Since:
  1.0
See Also:
  - `CoordinateOperationFactory`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FactoryException()`
  Construct an exception with no detail message.
  `FactoryException(String message)`
  Constructs an exception with the specified detail message.
  `FactoryException(String message, Throwable cause)`
  Constructs an exception with the specified detail message and cause.
  `FactoryException(Throwable cause)`
  Constructs an exception with the specified cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FactoryException

    public FactoryException()
    Construct an exception with no detail message.

  - ### FactoryException

    public FactoryException(String message)
    Constructs an exception with the specified detail message.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.

  - ### FactoryException

    public FactoryException(Throwable cause)
    Constructs an exception with the specified cause.
    Parameters:
      `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable​.getCause()` method.

  - ### FactoryException

    public FactoryException(String message, Throwable cause)
    Constructs an exception with the specified detail message and cause. The cause is the exception thrown in the underlying database (e.g. `IOException` or `SQLException`).
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable​.getCause()` method.